### Method

# Gck Builder set_data

#### Declaration [src]

    void
    gck_builder_set_data (
      GckBuilder* builder,
      gulong attr_type,
      const guchar* value,
      gsize length
    )

#### Description [src]

Set a new attribute to the builder with an arbitrary value. If an attribute with `attr_type` already exists in the builder then it is changed to the new value, otherwise an attribute is added.

The memory in `value` is copied by the builder.

`NULL` may be specified for the `value` argument, in which case an empty attribute is created. `GCK_INVALID` may be specified for the length, in which case an invalid attribute is created in the PKCS#11 style.

#### Parameters

`attr_type`

  Type: `gulong`

  The attribute type.

`value`

  Type: An array of `guchar`

  The new attribute memory.

  The argument can be `NULL`.
  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gsize`

  The length of the memory.